<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            :destroy-on-close="true"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
               <Field :span="20"   label="图片地址"><imageUpload v-model="form.imageUrl" prePath="/file/preview"/></Field>
               <Field :span="20"  label="描述" prop="introduction" v-model="form.introduction" type="textarea" placeholder="请输入描述"/>

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "SlideshowDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("slideshow")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "轮播",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="slideshow/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改轮播";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "slideshow/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增轮播";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="slideshow/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "轮播详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    imageUrl : null,
                    introduction : null,
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
